# Layout
Section "ServerLayout"

	Identifier	"MyServerConfig"
	Screen		"Screen0"

	InputDevice	"Mouse0"	"CorePointer"
	InputDevice	"KeyBoard0"	"CoreKeyBoard"
	Option		"Xinerama"	"off"
	Option		"Clone"		"off"
	Option		"SingleCard"	"true"

EndSection
# EOL

# Devices
Section "InputDevice"
	
	Identifier	"KeyBoard0"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
	Driver		"keyboard"

EndSection

Section "InputDevice"

	Identifier	"Mouse0"
	Option		"Protocol"	"ExplorerPS/2"
	Option		"Device"	"/dev/mouse"
	Driver		"mouse"
	Option		"Vendor"	"LOGITECH"
	Option		"CorePointer"
	Option		"Emulate3Buttons"
	Option		"ZAxisMapping"	"6 7"
	Option		"ButtonNumber"	"7"

EndSection
# EOD

# Modules
Section "Module"

	Load	"extmod"
	#Load	"fbdevhw"
	#Load	"dbe"
	#Load	"speedo"
	Load	"type1"
	Load	"freetype"
	Load	"glx"
	#Load	"dri"
	Load	"GLcore"
	
EndSection
# EOM

# Font n RGB
Section "Files"

	RgbPath		"/usr/X11R6/lib/X11/rgb"

	FontPath	"/usr/X11R6/lib/X11/fonts/local/"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc/"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1/"
	#FontPath	"/usr/X11R6/lib/X11/fonts/CID/"
	FontPath	"/usr/X11R6/lib/X11/fonts/Speedo/"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic/"
	ModulePath	"/usr/X11R6/lib/modules/"

EndSection
# EOFR

# Monitor
Section "Monitor"

	Identifier	"Monitor0"
	VendorName	"Neovo"
	ModelName	"F-419"

	HorizSync	24-80
	VertRefresh	49-75
	Option		"dpms"	"true"
	Option		"StandbyTime"	"10"
	Option		"SuspendTime"	"15"
	Option		"Off"					"10"
	
	Modeline "1280x1024-75" 135 1280 1296 1440 1688 1024 1025 1028 1066 +HSync +VSync

EndSection
# EOM

# Graphic Device
Section "Device"

	Identifier	"Device0"
	Driver		"nvidia"
	VendorName	"nvidia"
	BoardName	"fx5700"
	#VideoRam	8192
	BusID		"PCI:1:0:0"
	#Option		"FastWrites"	"on"
	Option		"UseFastTLS"	"on"
	#Option		"AGPMode"	"8"
	#Option "NvAGP" "0" # disable agp
	#Option "NvAGP" "1" # use nv agp
	#Option "NvAGP" "2" # use agpart
	Option "NvAGP" "3" # try 2 then 1
	Option		"HWCursor"	"on"
	Option "RenderAccel" "On"
	Option "IgnoreDisplayDevices" "CRT, TV"
	Option "ConnectedMonitor" "DFP"
	#Screen 1
	
EndSection

# EOGD

# Screen
Section "Screen"

	Identifier	"Screen0"
	Device		"Device0"
	Monitor		"Monitor0"
	DefaultDepth	24
	Subsection "Display"
        	Depth       24
	       	Modes "1280x1024-75" "1024x768" "800x600" "640x480"
	EndSubSection

EndSection
